SystemOrganization addCategory: #Ajedrez!

Object subclass: #GPicture
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Ajedrez'!

!GPicture methodsFor: 'operations' stamp: 'RoxanaLimachi 10/11/2012 13:04'!
paint! !

!GPicture methodsFor: 'operations' stamp: 'RoxanaLimachi 10/11/2012 13:11'!
parseChar: c
 "Identifica que tipo de caracter es y segn el tipo asigna un color"! !

!GPicture methodsFor: 'operations' stamp: 'RoxanaLimachi 10/11/2012 13:13'!
parseLine: y string: s ! !

Object subclass: #Picture
	instanceVariableNames: 'width height img'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Ajedrez'!

!Picture methodsFor: 'operations' stamp: 'RoxanaLimachi 10/11/2012 12:37'!
alLado 
 	"Put the image p next to the right of the current image"
	"Param p  the neighbour image"
	"Return a new image"! !

!Picture methodsFor: 'operations' stamp: 'RoxanaLimachi 10/11/2012 12:52'!
alfil
	"One basic picture"
	"Return a white bishop"! !

!Picture methodsFor: 'operations' stamp: 'RoxanaLimachi 10/11/2012 12:53'!
caballo
	"One basic picture"
	"Return a white knight"! !

!Picture methodsFor: 'operations' stamp: 'RoxanaLimachi 10/11/2012 12:44'!
casilleroBlanco
 	"One basic picture"
	"Return a white square"
	! !

!Picture methodsFor: 'operations' stamp: 'RoxanaLimachi 10/11/2012 12:54'!
dama
	"One basic picture"
	"Return a white queen"! !

!Picture methodsFor: 'operations' stamp: 'RoxanaLimachi 10/11/2012 12:38'!
encima
	"Put the image p next to the down of the current image" 
	"param p is the neighbour image"
	"return a new image"! !

!Picture methodsFor: 'accessing' stamp: 'RoxanaLimachi 10/11/2012 12:28'!
getImg
	"The picture is only an array of strings"
	"Return the picture's body"
 ^img ! !

!Picture methodsFor: 'accessing' stamp: 'RoxanaLimachi 10/11/2012 12:28'!
getWidth
	"The pictures'width, the max lenght for all strings"
      "Return  the picture's width"
 ^width ! !

!Picture methodsFor: 'accessing' stamp: 'RoxanaLimachi 10/11/2012 12:30'!
getheight
	"The picture's height, 	the size of the array"
	"Return the picture 's height"
	^height 	! !

!Picture methodsFor: 'private' stamp: 'RoxanaLimachi 10/12/2012 08:01'!
invColor! !

!Picture methodsFor: 'operations' stamp: 'RoxanaLimachi 10/11/2012 12:35'!
invertir
	"Negative color"
	"Return a new picture, the negative color"
	! !

!Picture methodsFor: 'private' stamp: 'RoxanaLimachi 10/12/2012 08:01'!
overlay! !

!Picture methodsFor: 'operations' stamp: 'RoxanaLimachi 10/11/2012 12:54'!
peon
	"One basic picture"
	"Return a white pawn"! !

!Picture methodsFor: 'operations' stamp: 'RoxanaLimachi 10/11/2012 12:38'!
repetirH! !

!Picture methodsFor: 'operations' stamp: 'RoxanaLimachi 10/11/2012 12:39'!
repetirV! !

!Picture methodsFor: 'operations' stamp: 'RoxanaLimachi 10/11/2012 12:53'!
rey 
	"One basic picture"
	"Return a white king"! !

!Picture methodsFor: 'operations' stamp: 'RoxanaLimachi 10/11/2012 12:38'!
superponer! !

!Picture methodsFor: 'operations' stamp: 'RoxanaLimachi 10/11/2012 13:02'!
torre
	"One basic picture"
	"Return a whit rook"! !

!Picture methodsFor: 'operations' stamp: 'RoxanaLimachi 10/11/2012 12:33'!
voltearH 
	"Horizontal mirror image"
	"Return a new picture, horizontal mirror"! !

!Picture methodsFor: 'operations' stamp: 'RoxanaLimachi 10/11/2012 12:32'!
voltearV 
	"Vertical mirror image"
	"Return a new picture, vertical mirror"
! !

BorderedMorph subclass: #Game
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Ajedrez'!

!Game methodsFor: 'initialization' stamp: 'RoxanaLimachi 10/11/2012 13:29'!
initialize
  "Inicializamos el inicio del ajedrez"
   | picture |
   picture := Picture new.! !

TestCase subclass: #AjedrezTest
	instanceVariableNames: 'ajedrez'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Ajedrez'!
